Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710508 - net-analyzer/ossec-hids-3.3.0 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/ossec-hids-3.3.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ralph Seichter
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-22 18:06 UTC by Toralf Förster
Modified: 2020-03-11 06:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.26 KB, text/plain)
2020-02-22 18:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,169.33 KB, text/plain)
2020-02-22 18:06 UTC, Toralf Förster
Details
environment (environment,37.86 KB, text/plain)
2020-02-22 18:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,22.84 KB, application/x-bzip)
2020-02-22 18:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.16 KB, application/x-bzip)
2020-02-22 18:06 UTC, Toralf Förster
Details
net-analyzer:ossec-hids-3.3.0:20200222-175122.log (net-analyzer:ossec-hids-3.3.0:20200222-175122.log,85.62 KB, text/plain)
2020-02-22 18:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-22 18:06:18 UTC
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
cc -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -DMAX_AGENTS=2048 -DOSSECHIDS -DDEFAULTDIR=\"/var/ossec\" -DUSER=\"ossec\" -DREMUSER=\"ossecr\" -DGROUPGLOBAL=\"ossec\" -DMAILUSER=\"ossecm\" -DLinux -DINOTIFY_ENABLED -DZLIB_SYSTEM -DUSE_PCRE2_JIT -DLIBOPENSSL_ENABLED -Wall -Wextra -I./ -I./headers/  client-agent/agentd.o client-agent/config.o client-agent/event-forward.o client-agent/intcheck_op.o client-agent/main.o client-agent/notify.o client-agent/receiver-win.o client-agent/receiver.o client-agent/sendmsg.o client-agent/start_agent.o os_crypto.a config.a shared.a os_net.a os_regex.a os_xml.a os_zlib.a -Wl,-O1 -Wl,--as-needed -lm -lpthread -lpcre2-8 -lssl -lcrypto -lz -o ossec-agentd
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: os_net.a(os_net.o):(.bss+0x0): multiple definition of `agt'; client-agent/config.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200218-201111

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 22 Feb 2020 16:37:20 +0000

emerge -qpvO net-analyzer/ossec-hids
[ebuild  N    ] net-analyzer/ossec-hids-3.3.0  USE="hybrid -agent -local -mysql -postgres -server -sqlite"
Comment 1 Toralf Förster gentoo-dev 2020-02-22 18:06:21 UTC
Created attachment 615132 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-22 18:06:24 UTC
Created attachment 615134 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-22 18:06:26 UTC
Created attachment 615136 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-22 18:06:29 UTC
Created attachment 615138 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-22 18:06:32 UTC
Created attachment 615140 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-22 18:06:34 UTC
Created attachment 615142 [details]
net-analyzer:ossec-hids-3.3.0:20200222-175122.log
Comment 7 Ralph Seichter 2020-02-22 18:37:39 UTC
Like I said, I wont work on version 3.3.0 anymore. I have just opened a pull request for 3.6.0 (see https://github.com/gentoo/gentoo/pull/14743).
Comment 8 Sergei Trofimovich gentoo-dev 2020-02-23 08:15:47 UTC
I suggest closing the bug after fix (be it a bump or a patch) is landed to ::gentoo, not after. Otherwise automated tools will keep finding the failure.
Comment 9 Ralph Seichter 2020-02-23 13:12:17 UTC
Sergei, I have added a "Closes: ..." line to the commit message of https://github.com/gentoo/gentoo/pull/14743 . If you like, you could re-open this isssue and set in to IN PROGRESS (something I don't have the necessary Bugzilla rights do).
Comment 10 Sergei Trofimovich gentoo-dev 2020-02-23 20:15:06 UTC
Sounds good! Setting IN PROGRESS.
Comment 11 Larry the Git Cow gentoo-dev 2020-03-11 06:09:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=893c535777a2ae759e3065aafb25f5c9d77e3ad9

commit 893c535777a2ae759e3065aafb25f5c9d77e3ad9
Author:     Ralph Seichter <github@seichter.de>
AuthorDate: 2020-02-22 18:33:07 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-03-11 06:09:14 +0000

    net-analyzer/ossec-hids: GLEP 81, version bump
    
    Change ebuild for GLEP 81, bump to upstream release 3.6.0.
    
    Bug: https://bugs.gentoo.org/707826
    Closes: https://bugs.gentoo.org/707890
    Closes: https://bugs.gentoo.org/710508
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Ralph Seichter <gentoo@seichter.de>
    Closes: https://github.com/gentoo/gentoo/pull/14743
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-analyzer/ossec-hids/Manifest                   |  1 +
 net-analyzer/ossec-hids/files/makefile-3.6.0.patch | 28 +++++++++
 net-analyzer/ossec-hids/ossec-hids-3.6.0.ebuild    | 66 ++++++++++++++++++++++
 3 files changed, 95 insertions(+)